<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>SDCL - Sistema de Diário de Classe &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SEGM - Sistema de Gestão de Merendas" href="segm.html" />
    <link rel="prev" title="SADR - Sistema de avaliação diagnóstica" href="sadr.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">SDCL - Sistema de Diário de Classe</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais Funcionalidades</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#professor">Professor</a></li>
<li class="toctree-l3"><a class="reference internal" href="#administrador">Administrador</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-c4">Modelagem C4</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>SDCL - Sistema de Diário de Classe</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/sdcl.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="sdcl-sistema-de-diario-de-classe">
<h1>SDCL - Sistema de Diário de Classe<a class="headerlink" href="#sdcl-sistema-de-diario-de-classe" title="Permalink to this headline"></a></h1>
<p>Sistema de Diário de Classe (SDCL) é um sofware desenvolvido na linguagem PHP que permite
realizar o acompanhamento das aulas ministradas e do histórico dos alunos ao longo do ano letivo.
A infraestrutura e desenvolvimento do sistema são feitos pela Emprel, empresa pública mantida pela Prefeitura de Recife.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Professor titular da secretaria</strong>: realiza acompanhamento dos estudantes nas turmas em que é titular. O SEMEWEB controla as condições para que um diário de classe seja relacionado a uma turma.</p></li>
<li><p><strong>Professor substituto</strong>: depois que o gestor realiza a enturmação, o professor substituto pode acessar apenas os diários das turmas em que ele foi enturmado. O login desse professor vem do EMAC. A diferença entre professor substituto e titular é feita pelo SDCL, não há diferenciação no EMAC entre ambos os perfis.</p></li>
<li><p><strong>Direção da escola/gestor</strong>: tem acesso de consulta em todo o sistema, porém só preenche o diário de classe se estiver substituindo um professor. Este perfil é que realiza o processo de substituição de professores. O perfil escola também vincula estudantes AEE a professores AEE. O registro do estudante AEE é feito no SEMEWEB.</p></li>
<li><p><strong>Gestão da rede/gerência/equipe de TI</strong>: utilizam o sistema para realizar consultas e acompanham o trabalho dos professores. Esse perfil tem acesso aos diários de classe.</p></li>
<li><p><strong>Administrador</strong>: tem acesso a todo o sistema, porém apenas para consulta.</p></li>
<li><p><strong>AEE</strong>: professor que acompanha os alunos especiais. O atendimento desse perfil é feito no contraturno. Nesse perfil, o registro do diário de classe é diferenciado do restante dos alunos não classificados como especiais.</p></li>
</ul>
</section>
<section id="principais-funcionalidades">
<h2>Principais Funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<section id="professor">
<h3>Professor<a class="headerlink" href="#professor" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Cadastro do diário (cada sala é um diário) por professor.</p></li>
<li><p>Registro das aulas (presenciais e aula-atividade).</p></li>
<li><p>Recuperação automática do currículo definido pelo MEC.</p></li>
<li><p>Controle da frequência dos alunos.</p></li>
<li><p>Registro de reposição de aula.</p></li>
<li><p><strong>Verificar pendências</strong>: o sistema avisa que o professor não preencheu alguma informação do diário.</p></li>
<li><p><strong>Verificar estudantes faltosos</strong>: permite listar estudantes com mais de três faltas nos últimos 30 dias.</p></li>
<li><p>Permite que o professor cadastre um projeto didático (não é muito utilizado).</p></li>
<li><p><strong>Movimento e Rendimento Escolar</strong>: permite que o professor faça uma consolidação do ano letivo a partir dos dados do diário.</p></li>
<li><p>Cadastro de projeto didático;</p></li>
<li><p><strong>Acompanhamento do estudante individualmente</strong>: permite que o professor atualize informações de alunos específicos;</p></li>
<li><p><strong>Registro de notas</strong>: permite registrar as notas nas disciplinas por bimestre ou no ano letivo. Dependendo da média anual, o sistema abre recuperação (dependendo do número de reprovações, o estudante é reprovado diretamente, sem recuperação).</p></li>
<li><p><strong>Relatório de parecer final do aluno</strong>: permite gerar o relatório de resultado do aluno. O <strong>SADR</strong> possui uma funcionalidade parecida, mas que não é integrada ao Sistema de Diário de Classe.</p></li>
<li><p><strong>Relatório de parecer final da turma</strong>: permite gerar o relatório de resultado da turma. O <strong>SADR</strong> possui uma funcionalidade parecida, mas que não é integrada ao Sistema de Diário de Classe.</p></li>
<li><p><strong>Pesquisa de estudantes</strong>: permite pesquisar estudantes por nome, matrícula ou data de
nascimento.</p></li>
<li><p><strong>Relatório de curvas e farois</strong>: gera o acompanhamento contínuo das turmas para verificar a relação entre frequência e notas.</p></li>
</ul>
</section>
<section id="administrador">
<h3>Administrador<a class="headerlink" href="#administrador" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Tem acesso a todas as funcionalidades do sistema, mas não pode alterar o diário de classe de um professor.</p></li>
<li><p>Controle do ano letivo, para definir dias letivos e não letivos. Outros sistemas utilizam esse controle como, por exemplo, o Sistema de Merendas (<a class="reference external" href="sistemas/segm.html">SEGM</a>).</p></li>
<li><p>Gestão de carga horária por turma/escola;</p></li>
</ul>
</section>
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>O SDCL possui muitas funcionalidades que fogem do escopo de um diário de classe.
Isso aconteceu porque a Secretaria não tinha um sistema de gestão de pessoas na época. O <a class="reference external" href="./segp.html">SEGP</a>
está para ser lançado e irá permitir desabilitar algumas das funcionalidades do Diário de Classe
como, por exemplo, o controle de professores substitutos.</p>
<p>Utilizaremos duas técnicas para avaliarmos o SDCL. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
<section id="modelagem-de-casos-de-uso">
<h3>Modelagem de casos de uso<a class="headerlink" href="#modelagem-de-casos-de-uso" title="Permalink to this headline"></a></h3>
<p>O diagrama de casos de uso é uma forma visual de identificar perfis de usuário, funcionalidades do
sistema e a relação entre ambos. Iremos utilizar essa técnica de modelagem para termos uma visão
alto nível de como o SDCL funciona.</p>
<p>Nota-se que o perfil Professor é quem interage com a maioria das funcionalidades do sistema.
Os demais perfis utilizam o sistema com foco na criação de relatórios e acompanhamento
do empenho dos alunos e professores.</p>
<img alt="../../_images/15.png" src="../../_images/15.png" />
</section>
<section id="modelagem-c4">
<h3>Modelagem C4<a class="headerlink" href="#modelagem-c4" title="Permalink to this headline"></a></h3>
<p>Para entendermos as interações do SDCL com outros sistemas e bases de dados da
Secretaria, utilizaremos o modelo C4 para visualização de arquitetura de software. Para autenticar
no SDCL o usuário precisa ter suas credenciais criadas na base EMAC. O EMAC é um banco de dados
que gerencia as credenciais de acesso aos sistemas mais antigos da Secretaria. Novos sistemas estão
utilizando o Conecta Recife. Uma vez verificada as credenciais o usuário loga no sistema por meio de
sua interface <em>web</em>. A partir dai o usuário (professor no caso) pode acessar as funcionalidades
apresentadas no modelo de casos de uso.</p>
<p>O SDCL lê e escreve de um banco de dados único chamado SECE. O SECE é responsável por
armazenar os dados de todos os sistemas da Secretaria. Para cada sistema, regras SQL são criadas
para limitar em quais tabelas é possível escrever ou recuperar dados. Por ser o sistema responsável
pelo lançamento de notas e avaliaçãoes dos alunos, o SDCL deveria ser integrado ao <a class="reference external" href="./sadr.html">SADR</a>, que também realiza avaliações das unidades educacionais.
Essa integração não existe e é uma demanda colocada pelos professores da rede.</p>
<img alt="../../_images/24.png" src="../../_images/24.png" />
</section>
</section>
<section id="referencias">
<h2>Referências<a class="headerlink" href="#referencias" title="Permalink to this headline"></a></h2>
<ol class="arabic simple">
<li><p><a class="reference external" href="https://www.visual-paradigm.com/guide/uml-unified-modeling-language/what-is-use-case-diagram/">What is Use Case Diagram</a>;</p></li>
<li><p><a class="reference external" href="https://c4model.com/">C4 Modeling framework</a></p></li>
</ol>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="sadr.html" class="btn btn-neutral float-left" title="SADR - Sistema de avaliação diagnóstica" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="segm.html" class="btn btn-neutral float-right" title="SEGM - Sistema de Gestão de Merendas" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>